GRUB-SWITCH-TO-BLSCFG(1)

NAME
grub-switch-to-blscfg — Switch to using BLS config files.

SYNOPSIS
grub-switch-to-blscfg [--grub-directory=DIR] [--config-file=FILE] [--grub-defaults=FILE]

DESCRIPTION
grub-switch-to-blscfg reconfigures grub-mkconfig to use BLS-style config files, and then regenerates the GRUB configuration.

OPTIONS

--grub-directory=DIR
    Search for grub.cfg under DIR. The default value is /boot/efi/EFI/VENDOR on UEFI machines and /boot/grub2 elsewhere.

--config-file=FILE
    The grub config file to use. The default value is /etc/grub2-efi.cfg on UEFI machines and /etc/grub2.cfg elsewhere. Symbolic links will be followed.

--grub-defaults=FILE
    The defaults file for grub-mkconfig. The default value is /etc/default/grub.

--bls-directory=DIR
    Create BootLoaderSpec fragments in DIR. The default value is /boot/loader/entries on BIOS machines and /boot/efi/EFI/VENDOR/loader/entries on UEFI machines.

--backup-suffix=UFFIX
    The suffix to use for saved backup files. The default value is .bak.

SEE ALSO
info grub